[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-changelog] [xen-unstable] xencommons: modprobe xenfs if it not be loaded



# HG changeset patch
# User Keir Fraser <keir.fraser@xxxxxxxxxx>
# Date 1277110630 -3600
# Node ID 2e5844e17d6f7425d4feabdf1e9ed000b4ad2ad7
# Parent  05e127771b86b3b58e8a20cd526c26d0896c3752
xencommons: modprobe xenfs if it not be loaded

If xenfs is compiled as a module, now cannot complete
'service xencommons start', modprobe xenfs can fix it.

Signed-off-by: Yu Zhiguo <yuzg@xxxxxxxxxxxxxx>
---
 tools/hotplug/Linux/init.d/xencommons |   21 +++++++++++++--------
 1 files changed, 13 insertions(+), 8 deletions(-)

diff -r 05e127771b86 -r 2e5844e17d6f tools/hotplug/Linux/init.d/xencommons
--- a/tools/hotplug/Linux/init.d/xencommons     Mon Jun 21 09:55:12 2010 +0100
+++ b/tools/hotplug/Linux/init.d/xencommons     Mon Jun 21 09:57:10 2010 +0100
@@ -24,16 +24,21 @@ XENCONSOLED_PIDFILE=/var/run/xenconsoled
 XENCONSOLED_PIDFILE=/var/run/xenconsoled.pid
 shopt -s extglob
 
-if test "x$1" = xstart && \
-     test -d /proc/xen && \
-   ! test -d /proc/xen/capabilities && \
-     grep '    xenfs$' /proc/filesystems >/dev/null && \
-   ! grep '^xenfs ' /proc/mounts >/dev/null;
-then
-       mount -t xenfs xenfs /proc/xen
+if test "x$1" = xstart; then
+       if ! grep '     xenfs$' /proc/filesystems >/dev/null; then
+               test -x /sbin/modprobe && /sbin/modprobe xenfs 2>/dev/null
+       fi
+       if test -d /proc/xen && \
+           ! test -d /proc/xen/capabilities && \
+             grep '    xenfs$' /proc/filesystems >/dev/null && \
+           ! grep '^xenfs ' /proc/mounts >/dev/null;
+       then
+               mount -t xenfs xenfs /proc/xen
+       fi
 fi
 
-if ! grep -q "control_d" /proc/xen/capabilities ; then
+if ! test -e /proc/xen/capabilities || \
+    ! grep -q "control_d" /proc/xen/capabilities ; then
        exit 0
 fi
 

_______________________________________________
Xen-changelog mailing list
Xen-changelog@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-changelog


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.